/**
 * Utilities.sjs - Common functions used across multiple scripts.
 */

/**
 * PADDING CONSTANTS
 */

const PADDING_LEFT = 0;
const PADDING_RIGHT = 1;

/**
 * trim()			
 */

String.prototype.trim = function () {
   return this.replace(/^\s+|\s+$/g, "");
}

/**
 * isBlank()									
 */

function isBlank(value) {   
   if (typeof(value) == string) {
      value = value();
   }
   
   var blank = (value == void 0 || value == "" || value == null); 
   
   return blank;
}

/**
 * padString()
 */

function padString(source, length, direction, character) {
   var loop;
   var output = "";
   var sourceLength = 0;
 
   if (source) {
      sourceLength = source.length;
   }
   
   switch (direction) {
	   case PADDING_LEFT:
	      for (loop = 0; loop < (length - sourceLength); loop++) {
	         output += character;
	      }
	      output = output + source;
	      break;
	
	   case PADDING_RIGHT:
	      for (loop = 0; loop < (length - sourceLength); loop++) {
	         output += character;
	      }
	      output = source + output;
	      break;
   }

   return output;
}